package tests;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

/**
 * 
 * <pre>
 *  Copyright (c) 2006 Dominik Schulz
 *  Copyright (c) 2006 Florian Lindner
 *  Copyright (c) 2006 Philip Hartmann
 *  
 *  This file is part of jPOPc.
 *
 *  jPOPc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  jPOPc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with jPOPc; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  </pre>
 *  
 * @author Dominik
 *
 */
public class PopClientTestSuite extends TestCase {

	static Logger	logger	= Logger.getLogger(PopClientTestSuite.class);

	public static Test suite() {
		// Set up a simple configuration that logs on the console.
		BasicConfigurator.configure();
		TestSuite popcTestSuite = new TestSuite("jPOPc POP3-Client TestSuite");
		popcTestSuite.addTestSuite(tests.core.util.StringToolsTest.class);
		popcTestSuite.addTestSuite(tests.core.DecodeTest.class);
		popcTestSuite.addTestSuite(tests.core.HeaderTest.class);
		return popcTestSuite;
	}
}
